# class KIconButton | A pushbutton for choosing an icon. More...
Definition | `#include <kicondialog.h>`
Inherits | QPushButton (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KIconButton (QWidget *parent=0L, const char *name=0L)
- KIconButton (KIconLoader *loader, QWidget *parent, const char *name=0L)
- ~KIconButton ()
- void setStrictIconSize (bool b)
- void setIconType (int group, int context, bool user=false)
- void setIcon (QString icon)
- void resetIcon ()
- const QString icon ()

#### Signals

- void iconChanged (QString icon)

## Detailed Description

A pushbutton for choosing an icon. Pressing on the button will open a KIconDialog for the user to select an icon. The current icon will be displayed on the button.

KIconButton (QWidget *parent=0L, const char *name=0L) | ### KIconButton

KIconButton (KIconLoader *loader, QWidget *parent, const char *name=0L) | ### KIconButton

~KIconButton () | ### ~KIconButton

void setStrictIconSize (bool b) | ### setStrictIconSize

Set a strict icon size policy for allowed icons. When true, only icons of the specified group's size in setIconType are allowed, and only icons of that size will be shown in the icon dialog.

void setIconType (int group, int context, bool user=false) | ### setIconType

Set the icon group and context. Use KIcon::NoGroup if you want to allow icons for any group in the given context.

void setIcon (QString icon) | ### setIcon

void resetIcon () | ### resetIcon

const QString icon () | ### icon

void iconChanged (QString icon) | ### iconChanged

[signal]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.